/* Composition screen ================ */

.composition {
  padding-top: var(--section-padding);
  padding-bottom: var(--section-padding);
}

.composition__list {
  padding-top: 40px;
  margin-top: -170px;
  counter-reset: compositions;

  @media (--laptop-max) {
    margin-top: -100px;
  }

  @media (--laptop-small-max) {
    margin-top: 0;
  }

  @media (--tablet-max) {
    padding-top: 0;
  }
}

.composition__column {
  margin-top: 115px;
  counter-increment: compositions;

  @media (--laptop-max) {
    margin-top: 100px;
  }

  @media (--laptop-small-max) {
    margin-top: 0;
  }
}

.composition__item {
  position: relative;

  &::after {
    content: attr(data-number);
    margin: 0 auto;
    position: absolute;
    top: 25%;
    right: 0;
    left: 0;
    font-family: var(--font-lora);
    font-size: 221px;
    font-weight: var(--text-font-weight-bold);
    text-align: center;
    text-transform: uppercase;
    color: var(--color-primary-lightest);

    @media (--laptop-max) {
      top: 130px;
      font-size: 120px;
    }

    @media (--laptop-small-max) {
      top: 110px;
    }

    @media (--tablet-max) {
      top: 90px;
      font-size: 90px;
    }
  }
}

.composition__bottom-container {
  display: flex;
  justify-content: center;
  margin-top: 40px;

  @media (--laptop-small-max) {
    margin-top: 80px;
  }

  @media (--tablet-small-max) {
    margin-top: 60px;
  }
}

/* ================ end composition screen */
